Bug 104402 - RFE: add: BuildPrereq: readline-devel to .spec file
RFE: add: BuildPrereq: readline-devel to .spec file
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: pine (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-14 22:09 EDT by R P Herrold
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 02:51:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2003-09-14 22:09:49 EDT
Description of problem:
>In building the latest, I was surprised that tab completion
>stopped working.
>
>Checking into things, there is not a
>
>BuildPrereq:  readline-devel
>
>Rebuilding with the package installed, it started working as I
>expected.  Just a thought for giving a better result to users.
>
>(I was considering Bugzilla'ing it -- but with the EOL on
>pine, I concluded it was not the best place for it -- If I am
>wrong, please bounce this hack and I'll file)

Feel free to bugzilla it anyway, so I remember to add it when I
update my private pine to 4.58 this week.
Comment 1 Mike A. Harris 2003-10-20 05:05:10 EDT
I'm using pine 4.58 right now and tab completion works for me, however
my pine is not linked to libreadline:

[mharris@devel pine-4.58]$ ldd $(which pine)
        libldap.so.2 => /usr/lib/libldap.so.2 (0x40028000)
        liblber.so.2 => /usr/lib/liblber.so.2 (0x40053000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x4005e000)
        libncurses.so.5 => /usr/lib/libncurses.so.5 (0x40070000)
        libpam.so.0 => /lib/libpam.so.0 (0x400af000)
        libdl.so.2 => /lib/libdl.so.2 (0x400b7000)
        libgssapi_krb5.so.2 => /usr/kerberos/lib/libgssapi_krb5.so.2 (0x400ba000)
        libkrb5.so.3 => /usr/kerberos/lib/libkrb5.so.3 (0x400ce000)
        libk5crypto.so.3 => /usr/kerberos/lib/libk5crypto.so.3 (0x4012b000)
        libcom_err.so.3 => /usr/kerberos/lib/libcom_err.so.3 (0x4013b000)
        libssl.so.2 => /lib/libssl.so.2 (0x4013d000)
        libcrypto.so.2 => /lib/libcrypto.so.2 (0x4016d000)
        libc.so.6 => /lib/i686/libc.so.6 (0x42000000)
        libsasl.so.7 => /usr/lib/libsasl.so.7 (0x40242000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
        libgdbm.so.2 => /usr/lib/libgdbm.so.2 (0x4024d000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x40254000)

[mharris@devel mharris]$ ldd $(which pico)
        libncurses.so.5 => /usr/lib/libncurses.so.5 (0x40028000)
        libc.so.6 => /lib/i686/libc.so.6 (0x42000000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)


Where in pine are you trying to use tab completion and it is failing?
Comment 2 Mike A. Harris 2004-02-09 02:51:41 EST
Since pine works perfectly fine for me as mentioned above, and
none of the binaries included in the package are linked to
libreadline, I must conclude that this problem is caused due
to one of pine's dependancies missing a dependancy on libreadline.

for each in $(ldd $(which pine) | awk '{print $3}' ) ; do (echo $each
; ldd $each); done

That turns up nothing linked to libreadline either, so it might
be a dependancy of dependancy.

There doesn't appear to be any unresolved symbols in the binary
either:

$ ldd -d -r /usr/bin/pine
        libldap.so.2 => /usr/lib/libldap.so.2 (0x55029000)
        liblber.so.2 => /usr/lib/liblber.so.2 (0x55054000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x5505f000)
        libncurses.so.5 => /usr/lib/libncurses.so.5 (0x55071000)
        libpam.so.0 => /lib/libpam.so.0 (0x550b0000)
        libdl.so.2 => /lib/libdl.so.2 (0x550b8000)
        libgssapi_krb5.so.2 => /usr/kerberos/lib/libgssapi_krb5.so.2
(0x550bb000)
        libkrb5.so.3 => /usr/kerberos/lib/libkrb5.so.3 (0x550cf000)
        libk5crypto.so.3 => /usr/kerberos/lib/libk5crypto.so.3
(0x5512d000)
        libcom_err.so.3 => /usr/kerberos/lib/libcom_err.so.3 (0x5513d000)
        libssl.so.2 => /lib/libssl.so.2 (0x5513f000)
        libcrypto.so.2 => /lib/libcrypto.so.2 (0x5516f000)
        libc.so.6 => /lib/i686/libc.so.6 (0x42000000)
        libsasl.so.7 => /usr/lib/libsasl.so.7 (0x55244000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x55000000)
        libgdbm.so.2 => /usr/lib/libgdbm.so.2 (0x5524f000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x55256000)


Closing as 'NOTABUG' as it's not easy to see what package might
be missing the readline dep in order to reassign to that component.

Note You need to log in before you can comment on or make changes to this bug.